package com.xxl.job.admin.core.thread;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.xxl.job.admin.core.thread.JobTriggerPoolHelper;
import com.xxl.job.admin.core.trigger.TriggerTypeEnum;
import com.xxl.job.admin.core.trigger.XxlJobTrigger;
import java.util.concurrent.atomic.AtomicInteger;

class null implements Runnable {
  public void run() {
    long start = System.currentTimeMillis();
    try {
      XxlJobTrigger.trigger(jobId, triggerType, failRetryCount, executorShardingParam, executorParam, addressList);
    } catch (Throwable e) {
      JobTriggerPoolHelper.access$000().error(e.getMessage(), e);
    } finally {
      long minTim_now = System.currentTimeMillis() / 60000L;
      if (JobTriggerPoolHelper.access$100(JobTriggerPoolHelper.this) != minTim_now) {
        JobTriggerPoolHelper.access$102(JobTriggerPoolHelper.this, minTim_now);
        JobTriggerPoolHelper.access$200(JobTriggerPoolHelper.this).clear();
      } 
      long cost = System.currentTimeMillis() - start;
      if (cost > 500L) {
        AtomicInteger timeoutCount = JobTriggerPoolHelper.access$200(JobTriggerPoolHelper.this).putIfAbsent(Integer.valueOf(jobId), new AtomicInteger(1));
        if (timeoutCount != null)
          timeoutCount.incrementAndGet(); 
      } 
    } 
  }
  
  public String toString() {
    return "Job Runnable, jobId:" + jobId;
  }
}
